function init() {
var d = new Detector();
if (d.test('MongolianScript')==false) {
   document.write('MongolianScript font is not installed on your computer! Please <a href="http://badaa.mngl.net/MongolianScript.otf">download and install</a> MongolianScript font to see this page correctly.<br> MongolianScript фонт таны компьютер дээр суугаагүй байна. Та энэхүү хуудсыг зөв үзэхийн тулд <a href="http://badaa.mngl.net/MongolianScript.otf">эндээс татаж авч</a> суулгана уу.');
}
}
function flipMbElement() {
    var mbEls = document.getElementsByClassName('mb');
    var cnt = mbEls.length;
    if (cnt>0) {
    	for(i=0;i<cnt;i++) {
    		inText = mbEls[i].innerHTML;
    		lines = inText.split("<br>");
        	lnum = lines.length-1;
        	replText = "";
        	for(j=lnum;j>=0;j--){
        		//alert(lines[j]);
        		sublines = lines[j].split("\n");
        		subtxt = '';
        		for (k=sublines.length-1;k>=0;k--) {
					subtxt += sublines[k]+"\n";
				}
            	replText += subtxt+"<br>";
        	}
        	mbEls[i].innerHTML = replText;
    	}
    } else {
        alert('No MB (Mongolian script) container found');
    }
}

//function taken from http://www.lalit.org/lab/javascript-css-font-detect
var Detector = function(){
	var h = document.getElementsByTagName("BODY")[0];
	var d = document.createElement("DIV");
	var s = document.createElement("SPAN");
	d.appendChild(s);
	d.style.fontFamily = "serif";			//font for the parent element DIV.
	s.style.fontFamily = "serif";			//serif font used as a comparator.
	s.style.fontSize   = "72px";			//we test using 72px font size, we may use any size. I guess larger the better.
	s.innerHTML        = "mmmmmmmmmml";		//we use m or w because these two characters take up the maximum width. And we use a L so that the same matching fonts can get separated
	h.appendChild(d);
	var defaultWidth   = s.offsetWidth;		//now we have the defaultWidth
	var defaultHeight  = s.offsetHeight;	//and the defaultHeight, we compare other fonts with these.
	h.removeChild(d);
	/* test
	 * params:
	 * font - name of the font you wish to detect
	 * return: 
	 * f[0] - Input font name.
	 * f[1] - Computed width.
	 * f[2] - Computed height.
	 * f[3] - Detected? (true/false).
	 */
	function debug(font) {
		h.appendChild(d);
		var f = [];
		f[0] = s.style.fontFamily = font;	// Name of the font
		f[1] = s.offsetWidth;				// Width
		f[2] = s.offsetHeight;				// Height
		h.removeChild(d);
		font = font.toLowerCase();
		if (font == "serif") {
			f[3] = true;	// to set arial and sans-serif true
		} else {
			f[3] = (f[1] != defaultWidth || f[2] != defaultHeight);	// Detected?
		}
		return f;
	}
	function test(font){
		f = debug(font);
		return f[3];
	}
	this.detailedTest = debug;
	this.test = test;	
}
